python2.7 vulnerabilities

Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the python2.7 package. This does not include vulnerabilities belonging to this package’s dependencies.

Report new vulnerabilities
Vulnerability Vulnerable versions Snyk patch Published
  • M
Buffer Overflow
<2.7.12-1ubuntu0~16.04.18 Not available 29 Jan, 2021
  • M
Improper Encoding or Escaping of Output
<2.7.12-1ubuntu0~16.04.13 Not available 14 Oct, 2020
  • L
Incorrect Calculation
<2.7.12-1ubuntu0~16.04.12 Not available 22 Jul, 2020
  • M
Improper Input Validation
<2.7.12-1ubuntu0~16.04.12 Not available 14 Jul, 2020
  • L
Resource Exhaustion
<2.7.12-1ubuntu0~16.04.12 Not available 19 Jun, 2020
  • L
Resource Exhaustion
<2.7.12-1ubuntu0~16.04.12 Not available 04 Feb, 2020
  • L
Resource Exhaustion
<2.7.12-1ubuntu0~16.04.11 Not available 30 Jan, 2020
  • M
Arbitrary Code Injection
<2.7.12-1ubuntu0~16.04.11 Not available 25 Oct, 2019
  • L
Cross-site Scripting (XSS)
<2.7.12-1ubuntu0~16.04.9 Not available 28 Sep, 2019
  • M
Improper Input Validation
<2.7.12-1ubuntu0~16.04.9 Not available 09 Sep, 2019
  • M
Improper Input Validation
<2.7.12-1ubuntu0~16.04.8 Not available 24 Jul, 2019
  • M
Credentials Management
<2.7.12-1ubuntu0~16.04.8 Not available 07 Jun, 2019
  • M
Directory Traversal
<2.7.12-1ubuntu0~16.04.8 Not available 23 Mar, 2019
  • M
CRLF Injection
<2.7.12-1ubuntu0~16.04.8 Not available 23 Mar, 2019
  • M
CRLF Injection
<2.7.12-1ubuntu0~16.04.8 Not available 13 Mar, 2019
  • M
Credentials Management
<2.7.12-1ubuntu0~16.04.8 Not available 08 Mar, 2019
  • L
NULL Pointer Dereference
<2.7.12-1ubuntu0~16.04.8 Not available 16 Jan, 2019
  • M
Arbitrary Command Injection
<2.7.12-1ubuntu0~16.04.4 Not available 25 Sep, 2018
  • M
Missing Initialization of Resource
<2.7.12-1ubuntu0~16.04.4 Not available 25 Sep, 2018
  • M
Open Redirect
<2.7.12-1ubuntu0~16.04.1 Not available 27 Jun, 2018
  • L
Improper Input Validation
<2.7.12-1ubuntu0~16.04.4 Not available 19 Jun, 2018
  • L
Improper Input Validation
<2.7.12-1ubuntu0~16.04.4 Not available 18 Jun, 2018
  • L
Out-of-bounds Write
<2.7.12-1ubuntu0~16.04.4 Not available 08 Feb, 2018
  • M
Integer Overflow or Wraparound
<2.7.12-1ubuntu0~16.04.2 Not available 17 Nov, 2017
  • M
Integer Overflow or Wraparound
<2.7.12-1ubuntu0~16.04.1 Not available 02 Sep, 2016
  • M
Protection Mechanism Failure
<2.7.12-1ubuntu0~16.04.1 Not available 02 Sep, 2016